Skip to main content
GET
/
v1
/
wallet
Get Prime Wallet Details
curl --request GET \
  --url https://api.openxswitch.com/v1/wallet \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "id": "63e1b8c2f18e310bb11f8a9c",
    "clientUserId": "client_001",
    "email": "walletName@openxswitch.org",
    "name": "Prime Wallet",
    "enableAPIWithdrawal": "false",
    "enableDashboardWithdrawal": "true",
    "language": "en_US",
    "permList": "[\"read\", \"write\"]",
    "canTrade": false,
    "workspaceId": "63e1b8c2f18e310bb11f8a9c"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.openxswitch.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

success
boolean
required
Example:

true

data
object
required